package com.aconiac.apg.domain;
/**
 * Hasher interface
 *
 * @author Morten Slot Kristensen
 * 
 * Created the December 4th 2007
 * 
 * Responsibilities:
 *  - To generate hashes of type: MD5, SHA1, SHA256, SHA512
 */

public interface Hasher {
    /**
     * Generates a hash of 'data' with algorithm 'alg'
     * @param data The data to hash
     * @param alg The algorithm to use
     * @return The hashed string
     */
    public String genHexStringHash(String data, HashAlg alg);

    /**
     * Generates a hash of 'data' with algorithm 'alg'
     * @param data The data to hash
     * @param alg The algorithm to use
     * @return The hashed byte-array
     */
    public byte[] genByteHash(String data, HashAlg alg);    
}