package com.aconiac.apg.test;
import org.junit.*;
import static org.junit.Assert.*;
import com.aconiac.apg.domain.*;

public class TestSingleAppearanceCharRule {
    private Rule r;
    @Before public void setup() {
        r = new SingleAppearanceCharRule();
    }

    @Test public void testShouldValidateAStringWithNoMultipleAppearingChars() {
        assertTrue(r.isValid("ab3t6"));
    }

    @Test public void testShouldNotValidateAStringWithMultipleAppearingChars() {
        assertTrue(!r.isValid("ab63t666"));
    }    

    @Test public void testShouldValidateAStringOfLengthOne() {
        assertTrue(r.isValid("a"));
    }  

    /** This wrapper is only required for running the old JUnit 3.8
     * graphical user interface on new JUnit 4 test cases */
    public static junit.framework.Test suite() {
        return new junit.framework.JUnit4TestAdapter(TestSingleAppearanceCharRule.class);
    } 
}
